Skip to main content

GET /flexi/getallgroups

List every group the client has ever created, with aggregated stats.

One row per sGroupId.

Use case

Top-level dashboard listing every campaign the client has run.

Query params

FieldTypeRequiredDescription
includeCancelledbooleannoInclude groups where all bots are cancelled (eStatus='4'). Default: false.

Response 200

{
"result": [
{
"sGroupId": "<13-char id or ObjectId>",
"iTokenBot": "...",
"nNumberOfBots": 3,
"nTotalActiveBots": 2,
"nStoppedBots": 1,
"nGeneratedVolume": 120.5,
"nGeneratedVolumeInSOL": 18.4,
"nGeneratedVolumeInUSD": 2760.0,
"nGeneratedVolumeInQuoteToken": 0,
"nTotalPackageSolValue": 15.0,
"nTotalReferralEarnings": 0.05,
"nTotalMakers": 234,
"nTotalHolders": 12,
"botIds": ["...", "..."]
}
]
}

Errors

StatusMeaning
400includeCancelled is not a boolean.

Example

curl -H "Authorization: Bearer $ACCESS" -H "x-user-id: $USER_ID" \
"$BASE_URL/flexi/getallgroups?includeCancelled=true"